(ns wgu.app
  (:require ["chart.js/auto" :as chart]))


(defn init-chart []
  (let [ctx (. js/document getElementById "myChart")
        data {:type "bar",
              :data {:labels ["Red", "Blue", "Yellow", "Green", "Purple", "Orange"],
                     :datasets [{
                                 :label "# of Votes",
                                 :data [12, 19, 3, 5, 2, 3],
                                 :backgroundColor [
                                                   "rgba(255, 99, 132, 0.2)",
                                                   "rgba(54, 162, 235, 0.2)",
                                                   "rgba(255, 206, 86, 0.2)",
                                                   "rgba(75, 192, 192, 0.2)",
                                                   "rgba(153, 102, 255, 0.2)",
                                                   "rgba(255, 159, 64, 0.2)"
                                                   ],
                                 :borderColor [
                                               "rgba(255, 99, 132, 1)",
                                               "rgba(54, 162, 235, 1)",
                                               "rgba(255, 206, 86, 1)",
                                               "rgba(75, 192, 192, 1)",
                                               "rgba(153, 102, 255, 1)",
                                               "rgba(255, 159, 64, 1)"
                                               ],
                                 :borderWidth 1}]},
              :options {:scales {:y {:beginAtZero true}}}}
        chart (new chart/Chart ctx, (clj->js data))]
    (.log js/console chart)))

(defn init []
  (println "Hello world")
  (.addEventListener js/window "DOMContentLoaded" init-chart))
